# 2 genarts-preset
{
    "metadata": {
        "api": "OFX",
        "author": "",
        "creation-date": "2016-10-21",
        "description": "",
        "duration": -1,
        "preset-name": "02",
        "product": "Sapphire",
        "tags-v8": [],
        "uuid": "1715951f297945dda41c500601892b58",
        "version": "10.000"
    },
    "name": "S_LensFlare"
}
# segment separator do not remove this line
{
    "inputs": {
        "Background": {
            "depth": 32,
            "xdim": 1920,
            "ydim": 200
        }
    },
    "mode": "LensFlare",
    "params": {
        "atmosphere_amp": {
            "channels": [
                {
                    "value": 0
                }
            ],
            "type": "float"
        },
        "atmosphere_freq": {
            "channels": [
                {
                    "value": 1
                }
            ],
            "type": "float"
        },
        "atmosphere_seed": {
            "channels": [
                {
                    "value": 0.123
                }
            ],
            "type": "float"
        },
        "atmosphere_speed": {
            "channels": [
                {
                    "value": 1
                }
            ],
            "type": "float"
        },
        "atmosphere_turbulence": {
            "channels": [
                {
                    "value": 0.6
                }
            ],
            "type": "float"
        },
        "blur_flare": {
            "channels": [
                {
                    "value": 0
                }
            ],
            "type": "float"
        },
        "brightness": {
            "channels": [
                {
                    "value": 0.6
                }
            ],
            "type": "float"
        },
        "center_falloff": {
            "channels": [
                {
                    "value": 1
                }
            ],
            "type": "float"
        },
        "center_radius": {
            "channels": [
                {
                    "value": 0
                }
            ],
            "type": "float"
        },
        "center_scale_brightness": {
            "channels": [
                {
                    "value": 2
                }
            ],
            "type": "float"
        },
        "center_scale_widths": {
            "channels": [
                {
                    "value": 1.5
                }
            ],
            "type": "float"
        },
        "color": {
            "channels": [
                {
                    "value": 1
                },
                {
                    "value": 1
                },
                {
                    "value": 1
                }
            ],
            "type": "color"
        },
        "combine": {
            "channels": [
                {
                    "value": 0
                }
            ],
            "type": "popup"
        },
        "diffraction_glow": {
            "channels": [
                {
                    "value": 0
                }
            ],
            "type": "float"
        },
        "edge_falloff": {
            "channels": [
                {
                    "value": 2
                }
            ],
            "type": "float"
        },
        "edge_scale_brightness": {
            "channels": [
                {
                    "value": 3
                }
            ],
            "type": "float"
        },
        "edge_scale_widths": {
            "channels": [
                {
                    "value": 2
                }
            ],
            "type": "float"
        },
        "edge_width": {
            "channels": [
                {
                    "value": 0
                }
            ],
            "type": "float"
        },
        "flicker_amp": {
            "channels": [
                {
                    "value": 0
                }
            ],
            "type": "float"
        },
        "flicker_randomness": {
            "channels": [
                {
                    "value": 0.6
                }
            ],
            "type": "float"
        },
        "flicker_speed": {
            "channels": [
                {
                    "value": 1
                }
            ],
            "type": "float"
        },
        "gamma": {
            "channels": [
                {
                    "value": 1
                }
            ],
            "type": "float"
        },
        "glow_color": {
            "channels": [
                {
                    "value": 1
                },
                {
                    "value": 1
                },
                {
                    "value": 1
                }
            ],
            "type": "color"
        },
        "glow_radius": {
            "channels": [
                {
                    "value": 0.2
                }
            ],
            "type": "float"
        },
        "glow_width": {
            "channels": [
                {
                    "value": 0.4
                }
            ],
            "type": "float"
        },
        "hotspot_brightness": {
            "channels": [
                {
                    "value": 1
                }
            ],
            "type": "float"
        },
        "hotspot_color": {
            "channels": [
                {
                    "value": 1
                },
                {
                    "value": 1
                },
                {
                    "value": 1
                }
            ],
            "type": "color"
        },
        "hue_shift": {
            "channels": [
                {
                    "value": 0
                }
            ],
            "type": "float"
        },
        "invert_occlusion_mask": {
            "channels": [
                {
                    "value": 0
                }
            ],
            "type": "boolean"
        },
        "lens": {
            "checksum": "a369ac5386ee28c824ca1f564a763ec0",
            "type": "flare",
            "value": {
                "elements": [
                    {
                        "brightness": 1,
                        "brightness_direction": "brighten",
                        "brightness_response": 1,
                        "brightness_scale_inverted": 0,
                        "center": 1,
                        "color": [
                            0.08,
                            0.08,
                            0.4
                        ],
                        "disabled": false,
                        "freq_rel_x": 1,
                        "freq_rel_y": 0,
                        "ignore_atmosphere": 1,
                        "image_absolute_position_p": 0,
                        "image_absolute_rotate_p": 0,
                        "image_absolute_size_p": 0,
                        "image_offset_rotate": 0,
                        "image_offset_x": 0,
                        "image_offset_y": 0,
                        "image_scale_size": 1,
                        "jitter_angles": 0,
                        "name": "Blue Streak",
                        "noise_amp": 0,
                        "noise_vary_by_position": 0,
                        "octaves_scale": 0.4,
                        "offset_distance": 0,
                        "offset_mode": "normal",
                        "offset_stretch_by_dist": 0,
                        "offset_x": 0,
                        "offset_y": 0,
                        "radius_range": [
                            0,
                            1
                        ],
                        "rand_seed": 0,
                        "ray_number": 2,
                        "ray_width": 0.09,
                        "rel_height": 1,
                        "rel_width": 1,
                        "rotate": 0,
                        "rotate_to_pivot": 0,
                        "scale_brightness_by_dist": 0,
                        "scale_width_by_dist": 0,
                        "scaled_offset": [
                            0,
                            0
                        ],
                        "simplex_noise_freq": 6,
                        "size": 2,
                        "size_direction": "grow",
                        "streaks_amp": 0,
                        "streaks_freq": 1,
                        "streaks_octaves_scale": 0.4,
                        "stretch": 1,
                        "stretch_direction": "taller",
                        "stretch_distort": 0,
                        "stretch_offset_inverted": 0,
                        "type": "rays",
                        "uitype": "Rays",
                        "unscaled_offset": [
                            0,
                            0
                        ],
                        "view_properties": {
                            "ElementView": {
                                "groups_collapsed": {
                                    "Animation": true,
                                    "Color and Brightness": false,
                                    "Noise": true,
                                    "Position": false,
                                    "Rays Options": false,
                                    "Size": false,
                                    "Texture Overlay": true
                                }
                            }
                        },
                        "width_response": 1,
                        "width_scale_inverted": 0
                    },
                    {
                        "brightness": 1,
                        "brightness_direction": "brighten",
                        "brightness_response": 1,
                        "brightness_scale_inverted": 0,
                        "center": 1,
                        "color": [
                            0.4,
                            0.4,
                            0.4
                        ],
                        "disabled": false,
                        "freq_rel_x": 1,
                        "freq_rel_y": 0,
                        "ignore_atmosphere": 1,
                        "image_absolute_position_p": 0,
                        "image_absolute_rotate_p": 0,
                        "image_absolute_size_p": 0,
                        "image_offset_rotate": 0,
                        "image_offset_x": 0,
                        "image_offset_y": 0,
                        "image_scale_size": 1,
                        "jitter_angles": 0,
                        "name": "White Streak",
                        "noise_amp": 0,
                        "noise_vary_by_position": 0,
                        "octaves_scale": 0.4,
                        "offset_distance": 0,
                        "offset_mode": "normal",
                        "offset_stretch_by_dist": 0,
                        "offset_x": 0,
                        "offset_y": 0,
                        "radius_range": [
                            0,
                            1
                        ],
                        "rand_seed": 0,
                        "ray_number": 2,
                        "ray_width": 0.07,
                        "rel_height": 1,
                        "rel_width": 1,
                        "rotate": 0,
                        "rotate_to_pivot": 0,
                        "scale_brightness_by_dist": 0,
                        "scale_width_by_dist": 0,
                        "scaled_offset": [
                            0,
                            0
                        ],
                        "simplex_noise_freq": 6,
                        "size": 1,
                        "size_direction": "grow",
                        "streaks_amp": 0,
                        "streaks_freq": 1,
                        "streaks_octaves_scale": 0.4,
                        "stretch": 1,
                        "stretch_direction": "taller",
                        "stretch_distort": 0,
                        "stretch_offset_inverted": 0,
                        "type": "rays",
                        "uitype": "Rays",
                        "unscaled_offset": [
                            0,
                            0
                        ],
                        "view_properties": {},
                        "width_response": 1,
                        "width_scale_inverted": 0
                    },
                    {
                        "brightness": 1,
                        "brightness_direction": "brighten",
                        "brightness_response": 1,
                        "brightness_scale_inverted": 0,
                        "center": 1,
                        "color": [
                            0.2,
                            0.2,
                            0.4
                        ],
                        "disabled": false,
                        "freq_rel_x": 1,
                        "freq_rel_y": 0,
                        "ignore_atmosphere": 1,
                        "image_absolute_position_p": 0,
                        "image_absolute_rotate_p": 0,
                        "image_absolute_size_p": 0,
                        "image_offset_rotate": 0,
                        "image_offset_x": 0,
                        "image_offset_y": 0,
                        "image_scale_size": 1,
                        "jitter_angles": 0,
                        "name": "Small Blue Streak",
                        "noise_amp": 0,
                        "noise_vary_by_position": 0,
                        "octaves_scale": 0.4,
                        "offset_distance": 0,
                        "offset_mode": "normal",
                        "offset_stretch_by_dist": 0,
                        "offset_x": 0,
                        "offset_y": 0,
                        "radius_range": [
                            0,
                            1
                        ],
                        "rand_seed": 0,
                        "ray_number": 2,
                        "ray_width": 0.04,
                        "rel_height": 1,
                        "rel_width": 1,
                        "rotate": 0,
                        "rotate_to_pivot": 0,
                        "scale_brightness_by_dist": 0,
                        "scale_width_by_dist": 0,
                        "scaled_offset": [
                            0,
                            0
                        ],
                        "simplex_noise_freq": 6,
                        "size": 0.85,
                        "size_direction": "grow",
                        "streaks_amp": 0,
                        "streaks_freq": 1,
                        "streaks_octaves_scale": 0.4,
                        "stretch": 1,
                        "stretch_direction": "taller",
                        "stretch_distort": 0,
                        "stretch_offset_inverted": 0,
                        "type": "rays",
                        "uitype": "Rays",
                        "unscaled_offset": [
                            0,
                            0
                        ],
                        "view_properties": {},
                        "width_response": 1,
                        "width_scale_inverted": 0
                    },
                    {
                        "brightness": 1,
                        "brightness_direction": "brighten",
                        "brightness_response": 1,
                        "brightness_scale_inverted": 0,
                        "center": 1,
                        "color": [
                            0.08,
                            0.08,
                            0.4
                        ],
                        "disabled": false,
                        "freq_rel_x": 1,
                        "freq_rel_y": 0,
                        "ignore_atmosphere": 1,
                        "image_absolute_position_p": 0,
                        "image_absolute_rotate_p": 0,
                        "image_absolute_size_p": 0,
                        "image_offset_rotate": 0,
                        "image_offset_x": 0,
                        "image_offset_y": 0,
                        "image_scale_size": 1,
                        "jitter_angles": 0,
                        "name": "Diagonal Streak",
                        "noise_amp": 0,
                        "noise_vary_by_position": 0,
                        "octaves_scale": 0.4,
                        "offset_distance": 0,
                        "offset_mode": "normal",
                        "offset_stretch_by_dist": 0,
                        "offset_x": 0,
                        "offset_y": 0,
                        "radius_range": [
                            0.92,
                            1
                        ],
                        "rand_seed": 0,
                        "ray_number": 2,
                        "ray_width": 0.07,
                        "rel_height": 1,
                        "rel_width": 1,
                        "rotate": -45,
                        "rotate_to_pivot": 0,
                        "scale_brightness_by_dist": 0,
                        "scale_width_by_dist": 0,
                        "scaled_offset": [
                            0,
                            0
                        ],
                        "simplex_noise_freq": 6,
                        "size": 1,
                        "size_direction": "grow",
                        "streaks_amp": 0,
                        "streaks_freq": 1,
                        "streaks_octaves_scale": 0.4,
                        "stretch": 1,
                        "stretch_direction": "taller",
                        "stretch_distort": 0,
                        "stretch_offset_inverted": 0,
                        "type": "rays",
                        "uitype": "Rays",
                        "unscaled_offset": [
                            0,
                            0
                        ],
                        "view_properties": {},
                        "width_response": 1,
                        "width_scale_inverted": 0
                    },
                    {
                        "brightness": 1,
                        "brightness_direction": "brighten",
                        "brightness_response": 1,
                        "brightness_scale_inverted": 0,
                        "center": -0.35,
                        "color": [
                            0.2,
                            0.2,
                            0.4
                        ],
                        "disabled": true,
                        "freq_rel_x": 1,
                        "freq_rel_y": 0,
                        "ignore_atmosphere": 1,
                        "image_absolute_position_p": 0,
                        "image_absolute_rotate_p": 0,
                        "image_absolute_size_p": 0,
                        "image_offset_rotate": 0,
                        "image_offset_x": 0,
                        "image_offset_y": 0,
                        "image_scale_size": 1,
                        "jitter_angles": 0,
                        "name": "Lonely Distant Ray",
                        "noise_amp": 0,
                        "noise_vary_by_position": 0,
                        "octaves_scale": 0.4,
                        "offset_distance": 0,
                        "offset_mode": "normal",
                        "offset_stretch_by_dist": 0,
                        "offset_x": 0,
                        "offset_y": 0,
                        "radius_range": [
                            0.142857,
                            1
                        ],
                        "rand_seed": 0,
                        "ray_number": 2,
                        "ray_width": 0.07,
                        "rel_height": 1,
                        "rel_width": 1,
                        "rotate": 0,
                        "rotate_to_pivot": 0,
                        "scale_brightness_by_dist": 0,
                        "scale_width_by_dist": 0,
                        "scaled_offset": [
                            0,
                            0
                        ],
                        "simplex_noise_freq": 6,
                        "size": 0.7,
                        "size_direction": "grow",
                        "streaks_amp": 0,
                        "streaks_freq": 1,
                        "streaks_octaves_scale": 0.4,
                        "stretch": 1,
                        "stretch_direction": "taller",
                        "stretch_distort": 0,
                        "stretch_offset_inverted": 0,
                        "type": "rays",
                        "uitype": "Rays",
                        "unscaled_offset": [
                            0,
                            0
                        ],
                        "view_properties": {
                            "ElementView": {
                                "groups_collapsed": {
                                    "Animation": true,
                                    "Color and Brightness": false,
                                    "Noise": true,
                                    "Position": false,
                                    "Rays Options": false,
                                    "Size": false,
                                    "Texture Overlay": true
                                }
                            }
                        },
                        "width_response": 1,
                        "width_scale_inverted": 0
                    },
                    {
                        "brightness": 1,
                        "brightness_direction": "brighten",
                        "brightness_response": 1,
                        "brightness_scale_inverted": 0,
                        "center": 1,
                        "color": [
                            0.2,
                            0.2,
                            0.2
                        ],
                        "disabled": true,
                        "freq_rel_x": 1,
                        "freq_rel_y": 0,
                        "ignore_atmosphere": 1,
                        "image_absolute_position_p": 0,
                        "image_absolute_rotate_p": 0,
                        "image_absolute_size_p": 0,
                        "image_offset_rotate": 0,
                        "image_offset_x": 0,
                        "image_offset_y": 0,
                        "image_scale_size": 1,
                        "jitter_angles": 0,
                        "name": "Center Rays",
                        "noise_amp": 0,
                        "noise_vary_by_position": 0,
                        "octaves_scale": 0.4,
                        "offset_distance": 0,
                        "offset_mode": "normal",
                        "offset_stretch_by_dist": 0,
                        "offset_x": 0,
                        "offset_y": 0,
                        "radius_range": [
                            0,
                            1
                        ],
                        "rand_seed": 0,
                        "ray_number": 12,
                        "ray_width": 0.02,
                        "rel_height": 1,
                        "rel_width": 1,
                        "rotate": 15,
                        "rotate_to_pivot": 0,
                        "scale_brightness_by_dist": 0,
                        "scale_width_by_dist": 0,
                        "scaled_offset": [
                            0,
                            0
                        ],
                        "simplex_noise_freq": 6,
                        "size": 0.3,
                        "size_direction": "grow",
                        "streaks_amp": 0,
                        "streaks_freq": 1,
                        "streaks_octaves_scale": 0.4,
                        "stretch": 1,
                        "stretch_direction": "taller",
                        "stretch_distort": 0,
                        "stretch_offset_inverted": 0,
                        "type": "rays",
                        "uitype": "Rays",
                        "unscaled_offset": [
                            0,
                            0
                        ],
                        "view_properties": {},
                        "width_response": 1,
                        "width_scale_inverted": 0
                    },
                    {
                        "brightness": 1,
                        "brightness_direction": "brighten",
                        "brightness_response": 1,
                        "brightness_scale_inverted": 0,
                        "center": 1,
                        "color": [
                            0.1,
                            0.1,
                            0.1
                        ],
                        "disabled": true,
                        "freq_rel_x": 1,
                        "freq_rel_y": 0,
                        "ignore_atmosphere": 1,
                        "image_absolute_position_p": 0,
                        "image_absolute_rotate_p": 0,
                        "image_absolute_size_p": 0,
                        "image_offset_rotate": 0,
                        "image_offset_x": 0,
                        "image_offset_y": 0,
                        "image_scale_size": 1,
                        "jitter_angles": 1,
                        "name": "Sharp Center Rays",
                        "noise_amp": 0,
                        "noise_vary_by_position": 0,
                        "octaves_scale": 0.4,
                        "offset_distance": 0,
                        "offset_mode": "normal",
                        "offset_stretch_by_dist": 0,
                        "offset_x": 0,
                        "offset_y": 0,
                        "radius_range": [
                            0.6,
                            1
                        ],
                        "rand_seed": 21,
                        "ray_number": 12,
                        "ray_width": 0.01,
                        "rel_height": 1,
                        "rel_width": 1,
                        "rotate": 0,
                        "rotate_to_pivot": 0,
                        "scale_brightness_by_dist": 0,
                        "scale_width_by_dist": 0,
                        "scaled_offset": [
                            0,
                            0
                        ],
                        "simplex_noise_freq": 6,
                        "size": 1,
                        "size_direction": "grow",
                        "streaks_amp": 0,
                        "streaks_freq": 1,
                        "streaks_octaves_scale": 0.4,
                        "stretch": 1,
                        "stretch_direction": "taller",
                        "stretch_distort": 0,
                        "stretch_offset_inverted": 0,
                        "type": "rays",
                        "uitype": "Rays",
                        "unscaled_offset": [
                            0,
                            0
                        ],
                        "view_properties": {},
                        "width_response": 1,
                        "width_scale_inverted": 0
                    },
                    {
                        "brightness": 0.3,
                        "brightness_direction": "brighten",
                        "brightness_response": 1,
                        "brightness_scale_inverted": 0,
                        "center": 1,
                        "colors": [
                            1,
                            0.833,
                            0.833
                        ],
                        "disabled": false,
                        "freq_rel_x": 1,
                        "freq_rel_y": 1,
                        "ignore_atmosphere": 0,
                        "image_absolute_position_p": 0,
                        "image_absolute_rotate_p": 0,
                        "image_absolute_size_p": 0,
                        "image_offset_rotate": 0,
                        "image_offset_x": 0,
                        "image_offset_y": 0,
                        "image_scale_size": 1,
                        "name": "Center Large Glow",
                        "noise_amp": 0,
                        "noise_vary_by_position": 0,
                        "octaves_scale": 0.2,
                        "offset_distance": 0,
                        "offset_mode": "normal",
                        "offset_stretch_by_dist": 0,
                        "offset_x": 0,
                        "offset_y": 0,
                        "radii": [
                            1
                        ],
                        "rand_seed": 0,
                        "rel_height": 1,
                        "rel_width": 1,
                        "rotate": 0,
                        "rotate_to_pivot": 0,
                        "scale_brightness_by_dist": 0,
                        "scale_width_by_dist": 0,
                        "scaled_offset": [
                            0,
                            0
                        ],
                        "simplex_noise_freq": 4,
                        "size": 0.85,
                        "size_direction": "grow",
                        "stretch": 1,
                        "stretch_direction": "taller",
                        "stretch_distort": 0,
                        "stretch_offset_inverted": 0,
                        "type": "blob",
                        "uitype": "Blob",
                        "unscaled_offset": [
                            0,
                            0
                        ],
                        "view_properties": {},
                        "width_response": 1,
                        "width_scale_inverted": 0
                    },
                    {
                        "brightness": 0.6,
                        "brightness_direction": "brighten",
                        "brightness_response": 1,
                        "brightness_scale_inverted": 0,
                        "center": 1,
                        "colors": [
                            1,
                            0,
                            0.0833
                        ],
                        "disabled": false,
                        "freq_rel_x": 1,
                        "freq_rel_y": 1,
                        "ignore_atmosphere": 0,
                        "image_absolute_position_p": 0,
                        "image_absolute_rotate_p": 0,
                        "image_absolute_size_p": 0,
                        "image_offset_rotate": 0,
                        "image_offset_x": 0,
                        "image_offset_y": 0,
                        "image_scale_size": 1,
                        "name": "Center Red Glow",
                        "noise_amp": 0,
                        "noise_vary_by_position": 0,
                        "octaves_scale": 0.2,
                        "offset_distance": 0,
                        "offset_mode": "normal",
                        "offset_stretch_by_dist": 0,
                        "offset_x": 0,
                        "offset_y": 0,
                        "radii": [
                            1
                        ],
                        "rand_seed": 0,
                        "rel_height": 1,
                        "rel_width": 1,
                        "rotate": 0,
                        "rotate_to_pivot": 0,
                        "scale_brightness_by_dist": 0,
                        "scale_width_by_dist": 0,
                        "scaled_offset": [
                            0,
                            0
                        ],
                        "simplex_noise_freq": 4,
                        "size": 0.4,
                        "size_direction": "grow",
                        "stretch": 1,
                        "stretch_direction": "taller",
                        "stretch_distort": 0,
                        "stretch_offset_inverted": 0,
                        "type": "blob",
                        "uitype": "Blob",
                        "unscaled_offset": [
                            0,
                            0
                        ],
                        "view_properties": {},
                        "width_response": 1,
                        "width_scale_inverted": 0
                    },
                    {
                        "brightness": 0.7,
                        "brightness_direction": "brighten",
                        "brightness_response": 1,
                        "brightness_scale_inverted": 0,
                        "center": 1,
                        "colors": [
                            1,
                            1,
                            1
                        ],
                        "disabled": false,
                        "freq_rel_x": 1,
                        "freq_rel_y": 1,
                        "ignore_atmosphere": 0,
                        "image_absolute_position_p": 0,
                        "image_absolute_rotate_p": 0,
                        "image_absolute_size_p": 0,
                        "image_offset_rotate": 0,
                        "image_offset_x": 0,
                        "image_offset_y": 0,
                        "image_scale_size": 1,
                        "name": "Center Small White Glow",
                        "noise_amp": 0,
                        "noise_vary_by_position": 0,
                        "octaves_scale": 0.2,
                        "offset_distance": 0,
                        "offset_mode": "normal",
                        "offset_stretch_by_dist": 0,
                        "offset_x": 0,
                        "offset_y": 0,
                        "radii": [
                            1
                        ],
                        "rand_seed": 0,
                        "rel_height": 1,
                        "rel_width": 1,
                        "rotate": 0,
                        "rotate_to_pivot": 0,
                        "scale_brightness_by_dist": 0,
                        "scale_width_by_dist": 0,
                        "scaled_offset": [
                            0,
                            0
                        ],
                        "simplex_noise_freq": 4,
                        "size": 0.28,
                        "size_direction": "grow",
                        "stretch": 1,
                        "stretch_direction": "taller",
                        "stretch_distort": 0,
                        "stretch_offset_inverted": 0,
                        "type": "blob",
                        "uitype": "Blob",
                        "unscaled_offset": [
                            0,
                            0
                        ],
                        "view_properties": {},
                        "width_response": 1,
                        "width_scale_inverted": 0
                    },
                    {
                        "angle_width": 360,
                        "arc_edge_softness": 0,
                        "blur_gradient": 0,
                        "brightness": 0.23,
                        "brightness_direction": "brighten",
                        "brightness_response": 1,
                        "brightness_scale_inverted": 0,
                        "center": 1,
                        "children": [
                            {
                                "brightness": 0.23,
                                "brightness_direction": "brighten",
                                "brightness_response": 1,
                                "brightness_scale_inverted": 0,
                                "center": 1,
                                "colors": [
                                    0.0435,
                                    0.0435,
                                    0.0435,
                                    1,
                                    0.087,
                                    0.087,
                                    1,
                                    0.087,
                                    0.087,
                                    0.0435,
                                    0.0435,
                                    0.0435
                                ],
                                "disabled": false,
                                "freq_rel_x": 1,
                                "freq_rel_y": 1,
                                "ignore_atmosphere": 1,
                                "image_absolute_position_p": 0,
                                "image_absolute_rotate_p": 0,
                                "image_absolute_size_p": 0,
                                "image_offset_rotate": 0,
                                "image_offset_x": 0,
                                "image_offset_y": 0,
                                "image_scale_size": 1,
                                "noise_amp": 0,
                                "noise_vary_by_position": 0,
                                "octaves_scale": 0.2,
                                "offset_distance": 0,
                                "offset_mode": "normal",
                                "offset_stretch_by_dist": 0,
                                "offset_x": 0,
                                "offset_y": 0,
                                "radii": [
                                    0.906,
                                    0.941,
                                    0.965,
                                    1
                                ],
                                "rand_seed": 0,
                                "rel_height": 1,
                                "rel_width": 1,
                                "rotate": 0,
                                "rotate_to_pivot": 0,
                                "scale_brightness_by_dist": 0,
                                "scale_width_by_dist": 0,
                                "scaled_offset": [
                                    0,
                                    0
                                ],
                                "shape": "circle",
                                "simplex_noise_freq": 4,
                                "size": 0.17,
                                "size_direction": "grow",
                                "stretch": 1,
                                "stretch_direction": "taller",
                                "stretch_distort": 0,
                                "stretch_offset_inverted": 0,
                                "tint": [
                                    1,
                                    1,
                                    1
                                ],
                                "type": "spot",
                                "unscaled_offset": [
                                    0,
                                    0
                                ],
                                "view_properties": {},
                                "width_response": 1,
                                "width_scale_inverted": 0
                            }
                        ],
                        "colors": [
                            0.0435,
                            0.0435,
                            0.0435,
                            1,
                            0.087,
                            0.087,
                            1,
                            0.087,
                            0.087,
                            0.0435,
                            0.0435,
                            0.0435
                        ],
                        "disabled": true,
                        "freq_rel_x": 1,
                        "freq_rel_y": 1,
                        "gradient": {
                            "centers": [
                                0.5,
                                0.5,
                                0.5,
                                0.5
                            ],
                            "current_stop": null,
                            "inner_radius": 0.906,
                            "stops": [
                                {
                                    "color": [
                                        0.0435,
                                        0.0435,
                                        0.0435
                                    ],
                                    "radius": 0
                                },
                                {
                                    "color": [
                                        1,
                                        0.087,
                                        0.087
                                    ],
                                    "radius": 0.37234
                                },
                                {
                                    "color": [
                                        1,
                                        0.087,
                                        0.087
                                    ],
                                    "radius": 0.62766
                                },
                                {
                                    "color": [
                                        0.0435,
                                        0.0435,
                                        0.0435
                                    ],
                                    "radius": 1
                                }
                            ]
                        },
                        "ignore_atmosphere": 1,
                        "image_absolute_position_p": 0,
                        "image_absolute_rotate_p": 0,
                        "image_absolute_size_p": 0,
                        "image_offset_rotate": 0,
                        "image_offset_x": 0,
                        "image_offset_y": 0,
                        "image_scale_size": 1,
                        "name": "Red Ring",
                        "noise_amp": 0,
                        "noise_vary_by_position": 0,
                        "octaves_scale": 0.2,
                        "offset_distance": 0,
                        "offset_mode": "normal",
                        "offset_stretch_by_dist": 0,
                        "offset_x": 0,
                        "offset_y": 0,
                        "radii": [
                            0.906,
                            0.941,
                            0.965,
                            1
                        ],
                        "rand_seed": 0,
                        "random_side_lengths": 0,
                        "rel_height": 1,
                        "rel_width": 1,
                        "rotate": 0,
                        "rotate_to_pivot": 0,
                        "roundness": 0,
                        "scale_brightness_by_dist": 0,
                        "scale_width_by_dist": 0,
                        "scaled_offset": [
                            0,
                            0
                        ],
                        "shape": "circle",
                        "sides": 6,
                        "simplex_noise_freq": 4,
                        "size": 0.17,
                        "size_direction": "grow",
                        "stretch": 1,
                        "stretch_direction": "taller",
                        "stretch_distort": 0,
                        "stretch_offset_inverted": 0,
                        "tint": [
                            1,
                            1,
                            1
                        ],
                        "type": "container",
                        "uitype": "Spot",
                        "unscaled_offset": [
                            0,
                            0
                        ],
                        "view_properties": {},
                        "width_response": 1,
                        "width_scale_inverted": 0
                    },
                    {
                        "angle_width": 360,
                        "arc_edge_softness": 0,
                        "blur_gradient": 0,
                        "brightness": 0.12,
                        "brightness_direction": "brighten",
                        "brightness_response": 1,
                        "brightness_scale_inverted": 0,
                        "center": 0.3,
                        "children": [
                            {
                                "brightness": 0.12,
                                "brightness_direction": "brighten",
                                "brightness_response": 1,
                                "brightness_scale_inverted": 0,
                                "center": 0.3,
                                "colors": [
                                    0,
                                    0.25,
                                    0.833,
                                    0.0833,
                                    0.333,
                                    1,
                                    0.0833,
                                    0.0833,
                                    0.0833
                                ],
                                "disabled": false,
                                "freq_rel_x": 1,
                                "freq_rel_y": 1,
                                "ignore_atmosphere": 1,
                                "image_absolute_position_p": 0,
                                "image_absolute_rotate_p": 0,
                                "image_absolute_size_p": 0,
                                "image_offset_rotate": 0,
                                "image_offset_x": 0,
                                "image_offset_y": 0,
                                "image_scale_size": 1,
                                "noise_amp": 0,
                                "noise_vary_by_position": 0,
                                "octaves_scale": 0.2,
                                "offset_distance": 0,
                                "offset_mode": "normal",
                                "offset_stretch_by_dist": 0,
                                "offset_x": 0,
                                "offset_y": 0,
                                "radii": [
                                    0,
                                    0.9,
                                    1
                                ],
                                "rand_seed": 0,
                                "rel_height": 1,
                                "rel_width": 1,
                                "rotate": 0,
                                "rotate_to_pivot": 0,
                                "scale_brightness_by_dist": 0,
                                "scale_width_by_dist": 0,
                                "scaled_offset": [
                                    0,
                                    0
                                ],
                                "shape": "circle",
                                "simplex_noise_freq": 4,
                                "size": 0.05,
                                "size_direction": "grow",
                                "stretch": 1,
                                "stretch_direction": "taller",
                                "stretch_distort": 0,
                                "stretch_offset_inverted": 0,
                                "tint": [
                                    1,
                                    1,
                                    1
                                ],
                                "type": "spot",
                                "unscaled_offset": [
                                    0,
                                    0
                                ],
                                "view_properties": {},
                                "width_response": 1,
                                "width_scale_inverted": 0
                            }
                        ],
                        "colors": [
                            0,
                            0.25,
                            0.833,
                            0.0833,
                            0.333,
                            1,
                            0.0833,
                            0.0833,
                            0.0833
                        ],
                        "disabled": false,
                        "freq_rel_x": 1,
                        "freq_rel_y": 1,
                        "gradient": {
                            "centers": [
                                0.5,
                                0.5,
                                0.5
                            ],
                            "current_stop": null,
                            "inner_radius": 0,
                            "stops": [
                                {
                                    "color": [
                                        0,
                                        0.25,
                                        0.833
                                    ],
                                    "radius": 0
                                },
                                {
                                    "color": [
                                        0.0833,
                                        0.333,
                                        1
                                    ],
                                    "radius": 0.9
                                },
                                {
                                    "color": [
                                        0.0833,
                                        0.0833,
                                        0.0833
                                    ],
                                    "radius": 1
                                }
                            ]
                        },
                        "ignore_atmosphere": 1,
                        "image_absolute_position_p": 0,
                        "image_absolute_rotate_p": 0,
                        "image_absolute_size_p": 0,
                        "image_offset_rotate": 0,
                        "image_offset_x": 0,
                        "image_offset_y": 0,
                        "image_scale_size": 1,
                        "name": "Blue",
                        "noise_amp": 0,
                        "noise_vary_by_position": 0,
                        "octaves_scale": 0.2,
                        "offset_distance": 0,
                        "offset_mode": "normal",
                        "offset_stretch_by_dist": 0,
                        "offset_x": 0,
                        "offset_y": 0,
                        "radii": [
                            0,
                            0.9,
                            1
                        ],
                        "rand_seed": 0,
                        "random_side_lengths": 0,
                        "rel_height": 1,
                        "rel_width": 1,
                        "rotate": 0,
                        "rotate_to_pivot": 0,
                        "roundness": 0,
                        "scale_brightness_by_dist": 0,
                        "scale_width_by_dist": 0,
                        "scaled_offset": [
                            0,
                            0
                        ],
                        "shape": "circle",
                        "sides": 6,
                        "simplex_noise_freq": 4,
                        "size": 0.05,
                        "size_direction": "grow",
                        "stretch": 1,
                        "stretch_direction": "taller",
                        "stretch_distort": 0,
                        "stretch_offset_inverted": 0,
                        "tint": [
                            1,
                            1,
                            1
                        ],
                        "type": "container",
                        "uitype": "Spot",
                        "unscaled_offset": [
                            0,
                            0
                        ],
                        "view_properties": {},
                        "width_response": 1,
                        "width_scale_inverted": 0
                    }
                ],
                "images": [],
                "renderer_version": 8
            }
        },
        "occlusion": {
            "channels": [
                {
                    "value": 2
                }
            ],
            "type": "popup"
        },
        "occlusion_scale_brightness": {
            "channels": [
                {
                    "value": 1
                }
            ],
            "type": "float"
        },
        "occlusion_scale_widths": {
            "channels": [
                {
                    "value": 1
                }
            ],
            "type": "float"
        },
        "occlusion_softness": {
            "channels": [
                {
                    "value": 0.0224
                }
            ],
            "type": "float"
        },
        "one_way": {
            "channels": [
                {
                    "value": 0
                }
            ],
            "type": "boolean"
        },
        "other_brightness": {
            "channels": [
                {
                    "value": 1
                }
            ],
            "type": "float"
        },
        "other_color": {
            "channels": [
                {
                    "value": 1
                },
                {
                    "value": 1
                },
                {
                    "value": 1
                }
            ],
            "type": "color"
        },
        "other_width": {
            "channels": [
                {
                    "value": 1
                }
            ],
            "type": "float"
        },
        "rays_brightness": {
            "channels": [
                {
                    "value": 1
                }
            ],
            "type": "float"
        },
        "rays_length": {
            "channels": [
                {
                    "value": 1
                }
            ],
            "type": "float"
        },
        "rays_num_scale": {
            "channels": [
                {
                    "value": 1
                }
            ],
            "type": "float"
        },
        "rays_rotate": {
            "channels": [
                {
                    "value": 0
                }
            ],
            "type": "float"
        },
        "rays_thickness": {
            "channels": [
                {
                    "value": 1
                }
            ],
            "type": "float"
        },
        "rel_heights": {
            "channels": [
                {
                    "value": 1
                }
            ],
            "type": "float"
        },
        "saturation": {
            "channels": [
                {
                    "value": 1
                }
            ],
            "type": "float"
        },
        "scale_background": {
            "channels": [
                {
                    "value": 1
                }
            ],
            "type": "float"
        },
        "shift_out": {
            "channels": [
                {
                    "value": 0
                }
            ],
            "type": "float"
        },
        "show_center_zone": {
            "channels": [
                {
                    "value": 0
                }
            ],
            "type": "boolean"
        },
        "show_edge_zones": {
            "channels": [
                {
                    "value": 0
                }
            ],
            "type": "boolean"
        },
        "tint_bg_whites": {
            "channels": [
                {
                    "value": 0
                }
            ],
            "type": "boolean"
        },
        "use_mask_color": {
            "channels": [
                {
                    "value": 1
                }
            ],
            "type": "boolean"
        }
    }
}